[package]
name = "ec-tauri-ui"
version = "0.0.0"
edition = "2021"

[dependencies]
dioxus = { version = "0.6", features = ["web"] }
ec-direct = { path = "../../../crates/ec-direct" }
bytes = "1"
futures-util = { version = "0.3", features = ["sink"] }
gloo-timers = { version = "0.3", features = ["futures"] }
gloo-net = { version = "0.6", features = ["websocket"] }
js-sys = "0.3"
just-webrtc = "0.2"
serde = { version = "1", features = ["derive"] }
serde-wasm-bindgen = "0.6"
serde_json = "1"
wasm-bindgen = "0.2"
wasm-bindgen-futures = "0.4"
web-sys = { version = "0.3", features = ["Window", "Navigator", "Clipboard", "MediaSource", "SourceBuffer", "Url", "HtmlVideoElement", "HtmlMediaElement", "EventTarget", "Event", "Blob", "Request", "RequestInit", "Response", "Headers", "Location"] }

[workspace]
